﻿package 
{
	
	import flash.display.MovieClip;
	import flash.events.MouseEvent;
	import flash.display.Sprite;
    import flash.text.TextField;
    import flash.text.TextFieldAutoSize;
    import flash.text.TextFormat;
	import flash.text.AntiAliasType;
	import flash.text.StyleSheet;
	import flash.text.Font;
	import FBitPXFont;

	public class NavigationButton extends MovieClip
	{	
		private var label:TextField;
		private var fontName:String;
		private var padding:Number;
		
		public function NavigationButton()
		{
			fontName = new FBitPXFont().fontName;
			var labelStr:String = "Text: /šššžžžžžžž/öüäõ/фваыафиывапывап/",
				embeddedFonts:Array = Font.enumerateFonts(false),
				fontNames:Array = new Array(),
				isCapableFont:Boolean = new FBitPXFont().hasGlyphs(labelStr);
			for (var i in embeddedFonts) fontNames.push(embeddedFonts[i].fontName);
			//fontName = "FBitPX";
			trace("Font '"+fontName+"' successfully embedded (embedded fonts: "+fontNames.toString()+")!");
			trace("Font is " + (isCapableFont ? "capable" : "incapable") + " of displaying '"+labelStr+"'");
			padding = 5;
			labelize(labelStr);
			fixLayout();
			this.addEventListener(MouseEvent.CLICK, clicked);
		}
		
		private function clicked(event:MouseEvent):void 
		{
			trace(event.target+" clicked!");
		}
		
		private function labelize(str:String)
		{
			label = new TextField();
			label.selectable = true;
            label.autoSize = TextFieldAutoSize.LEFT;
			label.antiAliasType = AntiAliasType.NORMAL;

            var format:TextFormat = new TextFormat(fontName, 12, 0xFFFFFF);

            label.defaultTextFormat = format;
			label.embedFonts = true;
			label.htmlText = str;
            addChild(label);
		}
		
		private function fixLayout()
		{
			Bg.width = label.width+padding*2;
			label.x = padding;
		}
	}
}